Package com.ocient.jdbc

# Class StPolygon

java.lang.Object
com.ocient.jdbc.StPolygon

public class StPolygon extends Object

## Constructor Summary

Constructors
Constructor
Description
`StPolygon(List<StPoint> exterior, List<List<StPoint>> holes, boolean fullFlag)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`List<StPoint>`
`getExterior()`
`boolean`
`getFullFlag()`
`List<List<StPoint>>`
`getHoles()`
`int`
`hashCode()`
`String`
`toString()`
`void`
`writeXML(Document doc, Element docElement, String name, String description, int id)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### StPolygon

public StPolygon(List<StPoint> exterior, List<List<StPoint>> holes, boolean fullFlag)

## Method Details

### getExterior

public List<StPoint> getExterior()

### getHoles

public List<List<StPoint>> getHoles()

### getFullFlag

public boolean getFullFlag()

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### writeXML

public void writeXML(Document doc, Element docElement, String name, String description, int id)

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`